<?php
include('config.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="<?php echo $design; ?>/style.css" rel="stylesheet" title="Style" />
        <title>Modifier ses informations personnelles</title>
    </head>
    <body>
	
	<BR />
    	<div class="header">
        	<a href="<?php echo $url_home; ?>"><img src="<?php echo $design; ?>/images/logo.png" alt="Espace Membre" /></a>
	    </div>

<?php


include('config.php');

require ("Control_Session.php");


//On verifie si lutilisateur est connecte
if(isset($_SESSION['username']))
{
	//On verifie si le formulaire a ete envoye
	if(isset($_POST['username'], $_POST['password'], $_POST['passverif'], $_POST['email'], $_POST['avatar']))
	{
		//On enleve lechappement si get_magic_quotes_gpc est active
		if(get_magic_quotes_gpc())
		{
			$_POST['username'] = trim(stripslashes($_POST['username']));
			$_POST['password'] = trim(stripslashes($_POST['password']));
			$_POST['passverif'] = trim(stripslashes($_POST['passverif']));
			$_POST['email'] = trim(stripslashes($_POST['email']));
			$_POST['avatar'] = trim(stripslashes($_POST['avatar']));
		}
		//On verifie si le mot de passe et celui de la verification sont identiques
		if($_POST['password']==$_POST['passverif'])
		{
			//On verifie si le mot de passe a 6 caracteres ou plus
			if(strlen($_POST['password'])>=6)
			{
				//On verifie si lemail est valide
				if(preg_match('#^(([a-z0-9!\#$%&\\\'*+/=?^_`{|}~-]+\.?)*[a-z0-9!\#$%&\\\'*+/=?^_`{|}~-]+)@(([a-z0-9-_]+\.?)*[a-z0-9-_]+)\.[a-z]{2,}$#i',$_POST['email']))
				{
					//On echape les variables pour pouvoir les mettre dans une requette SQL
					$username = $db->real_escape_string($_POST['username']);
					$password = $db->real_escape_string($_POST['password']);
					$email = $db->real_escape_string($_POST['email']);
					$avatar = $db->real_escape_string($_POST['avatar']);
					//On verifie sil ny a pas deja un utilisateur inscrit avec le pseudo choisis
					$dn = mysqli_fetch_array($db->query('SELECT count(*) as nb FROM users WHERE username="'.$username.'"'));
					//On verifie si le pseudo a ete modifie pour un autre et que celui-ci n'est pas deja utilise
					if($dn['nb']==0 or $_POST['username']==$_SESSION['username'])
					{
						//On modifie les informations de lutilisateur avec les nouvelles
						if($db->query('UPDATE users SET username="'.$username.'", password="'.$password.'", email="'.$email.'", avatar="'.$avatar.'" where id="'.$db->real_escape_string($_SESSION['userid']).'"'))
						{
							//Si ca a fonctionne, on naffiche pas le formulaire
							$form = false;
							//On supprime les sessions username et userid au cas ou il aurait modifie son pseudo
							unset($_SESSION['username'], $_SESSION['userid']);
?>
<div class="message">Vos informations ont bien &eacute;t&eacute; modifif&eacute;e. Vous devez vous reconnecter, en vous remerciant !<br />
<a href="connexion.php">Se connecter</a></div>
<?php
						}
						else
						{
							//Sinon on dit quil y a eu une erreur
							$form = true;
							$message = '<BR /> Une erreur est survenue lors des modifications.';
						}
					}
					else
					{
						//Sinon, on dit que le pseudo voulu est deja pris
						$form = true;
						$message = '<BR /> Un autre utilisateur utilise d&eacute;j&agrave; le nom du Login que vous d&eacute;sirez utiliser.';
					}
				}
				else
				{
					//Sinon, on dit que lemail nest pas valide
					$form = true;
					$message = '<BR /> L\'email que vous avez entr&eacute;e n\'est pas valide.';
				}
			}
			else
			{
				//Sinon, on dit que le mot de passe nest pas assez long
				$form = true;
				$message = '<BR /> Le mot de passe que vous avez entr&eacute;e contient moins de 6 caract&egrave;res.';
			}
		}
		else
		{
			//Sinon, on dit que les mots de passes ne sont pas identiques
			$form = true;
			$message = '<BR /> Les mot de passe que vous avez entr&eacute;e ne sont pas identiques.';
		}
	}
	else
	{
		$form = true;
	}
	if($form)
	{
		//On affiche un message sil y a lieu
		if(isset($message))
		{
			echo '<strong>'.$message.'</strong>';
		}
		//Si le formulaire a deja ete envoye on recupere les donnes que lutilisateur avait deja insere
		if(isset($_POST['username'],$_POST['password'],$_POST['email']))
		{
			$username = htmlentities($_POST['username'], ENT_QUOTES, 'UTF-8');
			if($_POST['password']==$_POST['passverif'])
			{
				$password = htmlentities($_POST['password'], ENT_QUOTES, 'UTF-8');
			}
			else
			{
				$password = '';
			}
			$email = htmlentities($_POST['email'], ENT_QUOTES, 'UTF-8');
			$avatar = htmlentities($_POST['avatar'], ENT_QUOTES, 'UTF-8');
		}
		else
		{
			//Sinon, on affiche les donnes a partir de la base de donnee
			
			
			$dnn = mysqli_fetch_array($db->query('SELECT username, password)),email,avatar FROM users WHERE username="'.$_SESSION['username'].'"'));
			$username = htmlentities($dnn['username'], ENT_QUOTES, 'UTF-8');
@			$password = htmlentities($dnn['password'], ENT_QUOTES, 'UTF-8');
			$email = htmlentities($dnn['email'], ENT_QUOTES, 'UTF-8');
			$avatar = htmlentities($dnn['avatar'], ENT_QUOTES, 'UTF-8');
		}
		//On affiche le formulaire
?>
<div class="content">
    <form action="edit_infos.php" method="post">
        Vous pouvez modifier vos informations <b>:</b><br /><BR/>
        <div class="center">
            <label for="username">Nom d'utilisateur <b>:</b></label><input type="text" name="username" id="username" maxlength = "25" value="<?php echo $username; ?>" /><br />
            <label for="password">Mot de passe <b>:</b><span class="small"> <font size='2'> (6 caract&egrave;res min.)</font></span></label><input type="password" name="password" id="password" maxlength = "20" value="<?php echo $password; ?>" /><br />
            <label for="passverif">Mot de passe <b>:</b> <span class="small"> <font size='2'> (v&eacute;rification)</font></span></label><input type="password" name="passverif" id="passverif" maxlength = "20" value="<?php echo $password; ?>" /><br />
            <label for="email">Email <b>:</b> </label><input type="text" name="email" id="email" value="<?php echo $email; ?>" /><br />
            <label for="avatar">Image perso <b>:</b> <span class="small"> <font size='2'> (facultatif)</font></span></label><input type="text" name="avatar" id="avatar" value="<?php echo $avatar; ?>" /><br /><BR/>
            <input type="submit" value="Envoyer" />
        </div>
    </form>
</div>
<?php
	}
}
else
{
?>
<div class="message">Pour acc&eacute;der &agrave; cette page, vous devez &ecirc;tre connect&eacute;.<BR /> <BR />
<a href="connexion.php">Se connecter</a></div>
<?php
}
?>
		<div class="foot"><a href="<?php echo $url_home; ?>">Retour &agrave; l'accueil</a> - <a href="http://www.electronique-et-informatique.fr/Electronique-et-Informatique/PHP_et_Programmes/PHP_Programmes.php">Support du Web</a></div>
	</body>
</html>